## The following is for creating a repository containing the package cohort
## used by Anders and Huber. It is included for completeness, as readers
## can simply use the repo at
## http://research-pub.gene.com/gran/10.1186/gb-2010-11-10-r106
## to follow along our recreation of their result by running
## the code in DESeqPaperCode.R in R 2.12.0.

## Create repository.
## NOTE: makeRepo call not doable in R 2.12.0, but lazyRepo call is,
## that is why we must turn off install and check validation:
library("switchr")
sessInfo <- parseSessionInfoString(readLines("DESeqSession.txt"))
sman <- makeSeedMan(sessInfo)
library("GRANBase")
## to avoid having to interactively choose the CRAN mirror in the
## middle of the makeRepo call, which takes a while to complete...
chooseCRANmirror(ind = 1L)
makeRepo(sman,
         basedir = file.path(tempdir(), "10.1186/gb-2010-11-10-r106"),
         repo_name = "DESeqRepo", check_test = FALSE, install_test = FALSE)
## OR, in 2.12.0 using switchr's JIT repository mechanism ...
## lazyRepo(sman)

