library("switchr")

## Create context. This installs the packages so it must
## be run in an old version of R, confirmed works in R 2.12.0
## this takes longer and is more computationally intensive than the
## approach used below which relies on a pre-existing repo with the
## correct package versions
## sessInfo <- readLines("DESeqSession.txt")
## switchTo("DESeqRepro", seed = sessInfo)

## To *create* a repository containing the cohort used by Anders and Huber,
## see the code in DESeqMakeRepo.R. For the purposes of this file, we assume
## it exists already at http://research-pub.gene.com/gran/10.1186/gb-2010-11-10-r106
## (which it does, as of writing this, and should indefinitely).

## Switch to repo.
library("switchr")
repo <- "http://research-pub.gene.com/gran/10.1186/gb-2010-11-10-r106"
switchTo("DESeqRepro", seed = repo)

## Perform analysis. Must be run in R 2.12.0, will throw errors in modern
## versions of DESeq
suppressMessages(library("DESeq"))
countsTableFly <- read.delim("fly_RNA_counts.tsv")
condsFly <- c("A", "A", "B", "B")
rownames(countsTableFly) <- paste("Gene", 1:nrow(countsTableFly), sep = "_")

cdsFly <- newCountDataSet(countsTableFly, condsFly)
cdsFly <- estimateSizeFactors(cdsFly)
cdsFly <- estimateVarianceFunctions(cdsFly)
resFly <- nbinomTest(cdsFly, "A", "B")
length(which(resFly$padj < .1))
