## 2. A brief example
library("switchr")
pkg_man <- loadManifest("manforpaper.rman")
pkg_man

library("switchrGist")
## Needs authentication in browser
## gisturl <- publishManifest(pkg_man, Gist())

switchTo("CollabEnv", seed = pkg_man)
switchBack()

switchTo("CollabEnv")
switchBack()

library("GRANBase")
repo <- makeRepo(pkg_man, basedir = "./collabrepos",
                 repo_name = "CollabPkgs",
                 check_test = FALSE, install_test = FALSE)
tail(available.packages(repo)[, c("Package", "Version")])

## 3. Results
## 3.1. Recreating Anders and Huber’s DESeq paper four years later

## see DESeqMakeRepo.R and DESeqPaperCode.R.

## 3.2. GitHub-based packages and package manifests
ghman <- GithubManifest("gmbecker/fastdigest", 
                        "duncantl/CodeDepends",
                        "gmbecker/RCacheSuite")
ghman

install_packages("RCacheSuite", ghman)
switchTo(name = "githubLib", seed = ghman)
switchBack()
switchTo(name = "githubLib2", seed = ghman,
         pkgs = c("fastdigest", "XML"))
switchBack()

library("GRANBase")
repo <- makeRepo(ghman, cores = 3,
                 basedir = tempfile("testrepo"))

## 3.3. Publishing and distributing package manifests
mani <- libManifest()
mani2 <- makeSeedMan()
mani2

fil <- publishManifest(mani2, tempfile("mani"))
head(readLines(fil))

## Needs authentication in browser:
## publishManifest(mani, Gist())

